package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc车辆费用对象 cmc_car_expense
 * 
 * @author cmc
 * @date 2024-03-12
 */
public class CmcCarExpense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆费用id */
    private String carExpenseId;

    /** 车辆id */
    @Excel(name = "车辆id")
    private Integer carId;

    /** 费用类型 */
    @Excel(name = "费用类型")
    private String expenseType;

    /** 费用金额 */
    @Excel(name = "费用金额")
    private BigDecimal expense;

    /** 发生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date occurDate;

    public void setCarExpenseId(String carExpenseId) 
    {
        this.carExpenseId = carExpenseId;
    }

    public String getCarExpenseId() 
    {
        return carExpenseId;
    }
    public void setCarId(Integer carId) 
    {
        this.carId = carId;
    }

    public Integer getCarId() 
    {
        return carId;
    }
    public void setExpenseType(String expenseType) 
    {
        this.expenseType = expenseType;
    }

    public String getExpenseType() 
    {
        return expenseType;
    }
    public void setExpense(BigDecimal expense) 
    {
        this.expense = expense;
    }

    public BigDecimal getExpense() 
    {
        return expense;
    }
    public void setOccurDate(Date occurDate)
    {
        this.occurDate = occurDate;
    }

    public Date getOccurDate()
    {
        return occurDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("carExpenseId", getCarExpenseId())
            .append("carId", getCarId())
            .append("expenseType", getExpenseType())
            .append("expense", getExpense())
            .append("occurDate", getOccurDate())
            .toString();
    }
}
